	
// Initializes the options
function bettergmail2_initializeOptions() {
    var pageDocument     = document;
    
            var generalGbox       = pageDocument.getElementById("bettergmail2-gbox-general");
    	        var messagesGbox       = pageDocument.getElementById("bettergmail2-gbox-messages");
    	    	var skinsRgroup       = pageDocument.getElementById("bettergmail2-gbox-skins-radiogroup");
		        var composeGbox       = pageDocument.getElementById("bettergmail2-gbox-compose");
    	        var sidebarGbox       = pageDocument.getElementById("bettergmail2-gbox-sidebar");
    	
    var cbItem;
    var radioItem;
    
    var textItem;
    
   	var script;
   	var enabled = false;

	var dependents = '';
    	
    var totalScripts = bettergmail2_scripts.length;
    for (var i = 0; i < totalScripts; i++) {
		   	script = bettergmail2_scripts[i].id;
		   	enabled = bettergmail2_getBooleanPreference('bettergmail2.enabled.'+script, true);
		   	cbItem = pageDocument.createElement("checkbox");
			cbItem.setAttribute("id", script);
			cbItem.setAttribute("label", bettergmail2_scripts[i].full_name );
			cbItem.setAttribute("checked", enabled);
			if (bettergmail2_scripts[i].conflicts ) {
				dependents = 'new Array(';
				for(var j = 0; j < bettergmail2_scripts[i].conflicts.length; j++) {
					dependents += "'"+bettergmail2_scripts[i].conflicts[j]+"'";
					if ( j < (bettergmail2_scripts[i].conflicts.length-1) ) {
						dependents += ", ";
					} else {
						dependents += ")";
					}
				}
				cbItem.setAttribute("oncommand", "uncheckDependents(this.checked, "+dependents+" );");
			}
			
        
        
	   if (bettergmail2_scripts[i].tab == bettergmail2_tabs.GENERAL ) 
			generalGbox.appendChild(cbItem);
		    
        
	 else if (bettergmail2_scripts[i].tab == bettergmail2_tabs.MESSAGES ) 
			messagesGbox.appendChild(cbItem);
		    
    			else if ( bettergmail2_scripts[i].tab == bettergmail2_tabs.SKINS ) {
				radioItem = pageDocument.createElement("radio");	   								
				radioItem.setAttribute("id", script);
				(bettergmail2_scripts[i].description == "")? (textItem = "") : (textItem = ": " + bettergmail2_scripts[i].description)
				radioItem.setAttribute("label", bettergmail2_scripts[i].full_name + textItem );
				radioItem.setAttribute("selected", enabled);
				skinsRgroup.appendChild(radioItem);
			}
		    
        
	 else if (bettergmail2_scripts[i].tab == bettergmail2_tabs.COMPOSE ) 
			composeGbox.appendChild(cbItem);
		    
        
	 else if (bettergmail2_scripts[i].tab == bettergmail2_tabs.SIDEBAR ) 
			sidebarGbox.appendChild(cbItem);
					

	}

	bettergmail2_describescripts();

}


function bettergmail2_saveOptions() {

           	bettergmail2_savePrefs( document.getElementById("bettergmail2-gbox-general").childNodes, "checked");
   		       	bettergmail2_savePrefs( document.getElementById("bettergmail2-gbox-messages").childNodes, "checked");
   		       	bettergmail2_savePrefs( document.getElementById("bettergmail2-gbox-skins-radiogroup").childNodes, "selected");
   		       	bettergmail2_savePrefs( document.getElementById("bettergmail2-gbox-compose").childNodes, "checked");
   		       	bettergmail2_savePrefs( document.getElementById("bettergmail2-gbox-sidebar").childNodes, "checked");
   		
	bettergmail2_setBooleanPreference("bettergmail2.loaded", false); 
}


function bettergmail2_savePrefs(cbArray, trueAttrib) {
    for(var i = 0; i < cbArray.length; i++) {
    	if (cbArray[i]) {
    		if (cbArray[i].getAttribute("id")) {
    			if (cbArray[i].getAttribute(trueAttrib) == 'true') {
					bettergmail2_setBooleanPreference("bettergmail2.enabled."+cbArray[i].getAttribute("id"), true);
	    		} else {
	    			bettergmail2_setBooleanPreference("bettergmail2.enabled."+cbArray[i].getAttribute("id"), false);
	    		}
    		}
    	}
    }
}

function bettergmail2_describescripts() {
	document.getElementById("script-listing").contentDocument.write('<html><head><style type="text/css">body { font-family:arial; font-size:9pt; background-color:white; } ul { margin:0; padding:0 } li { margin:0 0 10px 0} a { color:blue; border-bottom:solid blue 1px; } </style></head><body id="script-listing-body"><ul>');
	var totalScripts = bettergmail2_scripts.length;
    for (var i = 0; i < totalScripts; i++) {
    	if ( bettergmail2_scripts[i].homepage != '') {
			document.getElementById("script-listing").contentDocument.write('<li><b><a href="'+ bettergmail2_scripts[i].homepage+'" onclick="javascript:window.open(\''+ bettergmail2_scripts[i].homepage+'\');return false;">'+ bettergmail2_scripts[i].full_name +'</a></b><br />'+bettergmail2_scripts[i].description+'<br />'+bettergmail2_usLabels.GetStringFromName("script_by")+' '+bettergmail2_scripts[i].author+'</li>');
		}
	}
	document.getElementById("script-listing").contentDocument.write("</ul></body></html>");
	document.getElementById("script-listing").contentDocument.close();
	return true;
}


function uncheckDependents(checked, dep) {
    for(var i = 0; i < dep.length; i++) {
		if (checked) {
			document.getElementById(dep[i]).checked=false;
		}
	}
}

function bettergmail2_initAdvancedPrefs() {
	//document.getElementById("pref-your_domain").value = bettergmail2_getStringPreference("bettergmail2.pref.your_domain");
	//document.getElementById("pref-attach_trigger").value = bettergmail2_getStringPreference("bettergmail2.pref.attach_trigger");
}

function bettergmail2_saveAdvancedPrefs() {
	//bettergmail2_setStringPreference("bettergmail2.pref.your_domain", document.getElementById("pref-your_domain").value);
	//bettergmail2_setStringPreference("bettergmail2.pref.attach_trigger", document.getElementById("pref-attach_trigger").value);
}